﻿/* basic HTML elements */
html {
    text-rendering: optimizeLegibility !important;
    -moz-osx-font-smoothing: grayscale;
    -webkit-font-smoothing: antialiased !important;
}

    html, html a {
        text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.004);
    }

body {
    font-size: 18px;
    font-family: "proxima-nova",sans-serif;
    width: 100%;
    overflow-x: hidden;
    background-color: #fff;
}

ul.simple > li, ol.simple > li {
    margin-top: .6em;
    margin-bottom: .6em;
}

a {
    color: #132e46;
}

    a, a:visited, a:active {
        text-decoration: underline;
    }

        a:hover {
            color: #566424;
        }

h1, h2, h3 {
    font-family: "proxima-nova",sans-serif;
    font-weight: 900;
    color: #154254;
}

h1 small, h2 small, h3 small, h4 small, h5 small, h6 small {
    color:inherit;
}

h3 {
    font-weight: 700;
}

h1 + h2 {
    margin-top: -.5em;
    margin-bottom: 1em;
}

p.lead {
    font-weight: 400;
}

blockquote {
    margin: 20px;
    font-size: 17.5px;
    font-family: "proxima-nova",sans-serif;
}


div.bs-callout.bs-callout-default > h2,
div.bs-callout.bs-callout-default > h3,
div.bs-callout.bs-callout-default > h4,
div.bs-callout.bs-callout-default > h5 {
    /*margin-top:0;*/
}

div.alert > a.close {
    text-decoration: none;
}

/* secondary page containers */
body:not(#adminBody) .container.secondary {
    margin-top: 80px;
}

    body:not(#adminBody) .container.secondary header h1 {
        text-align: left;
        display: block;
        margin-top: -35px;
        margin-bottom: 25px;
        margin-left: auto;
        margin-right: auto;
        background-color: #fff;
    }

#jump-link {
    position: fixed;
    left: -1000px;
}

ul.dropdown-menu > li {
    font-size: 16px;
}


.navbar {
    margin-bottom: 0;
}

a.navbar-brand {
    padding: 0;
    margin-right: 10px;
}

#searchLogin li a {
    padding-top: 27px;
    padding-bottom: 27px;
}

#navbar-public {
    border-bottom: solid 6px #0099d8;
}

    #navbar-public .navbar-collapse {
        background-color: #fff;
    }

    #navbar-public .navbar-default {
        border: none;
    }

        #navbar-public .navbar-default li.search a {
            display: inline-block;
            padding-left: 10px;
            padding-right: 10px;
        }

            #navbar-public .navbar-default li.search a img {
                width: 26px;
                height: 26px;
            }




#search-button {
    background-color: #fff;
}

#search-button {
    border: none;
    margin-right: 1px;
}

    #search-button img {
        width: 20px;
        height: 20px;
    }

img#loginIcon {
    width: 26px;
    height: 26px;
}

#login-dp {
    min-width: 250px;
    padding: 14px 14px 0;
    overflow: hidden;
}

    #login-dp .bottom {
        background-color: #fff;
        border-top: 1px solid #ddd;
        clear: both;
        padding: 14px;
    }

    #login-dp .form-group {
        margin-bottom: 10px;
    }

    #login-dp .btn-default {
        background-color: #e7e7e7;
    }


/*# footer styles */
footer {
    padding-bottom: 30px;
    background-color: #fff;
    margin-top: 35px;
}

body:not(#homeBody) footer .container {
    margin-top: 55px;
    margin-top: 20px;
    padding-top: 20px;
}

footer p {
    font-size: 14px;
    font-weight: 400;
    color: #154254;
}

#Facebook img {
    width: 40px;
    height: 40px;
}

.back-to-top {
    cursor: pointer;
    position: fixed;
    bottom: 10px;
    right: 20px;
    display: none;
}

    .back-to-top:hover {
        cursor: pointer;
        position: fixed;
        bottom: 10px;
        right: 20px;
        display: inline !important;
    }


/*# homepage styles */
span.tagline {
    font-family: 'Merriweather', serif;
    color: #fff;
    float: right;
    width: 150px;
    font-weight: 900;
    font-size: 1.4em;
}

    span.tagline span.Teach {
        font-size: 1.7em;
    }

    span.tagline.br {
        display: none;
    }

#sidebar {
    float: left;
    margin-top: 28px;
    margin-left: 2px;
    width: 210px;
}

    #sidebar li {
        background-color: rgba( 255, 255, 255, .85);
        border: 1px #206581 solid;
        font-size: 22px;
        font-weight: 900;
        font-family: "proxima-nova",sans-serif;
        line-height: 28px;
    }

        #sidebar li div {
            font-size: 19px;
            font-weight: 700;
            line-height: 26px;
        }

        #sidebar li span {
            font-size: 17px;
            font-weight: 400;
            font-family: "proxima-nova",sans-serif;
            line-height: 22px;
            display: block;
        }

        #sidebar li a {
            color: black;
            text-decoration: none;
        }

#section0,
#section1,
#section2,
#section3,
#section4 {
    padding: .5em 1.5em 1em 1.5em;
    margin-left: -15px;
    margin-right: -15px;
}

#section0 {
    background-color: #f4f4f4;
}

#section1 {
    background-color: #C8E0DF;
}

#section2 {
    background-color: #F3DBA3;
}

    #section2 h2#sec2 {
        font-size: 1.7em;
    }

    #section2 img {
        margin-top: 20px;
    }

#section3 {
    background-color: #72ACC2;
}

#section4 {
    background-color: #0299CE;
}

    #section4 .thumbnail {
        background-color: transparent;
    }

        #section4 .thumbnail img {
            width: 102px;
            height: 120px;
            background-color: #fff;
        }

.jumbotron {
    height: 30px;
    padding: 0px;
    margin: 0px;
    z-index: 1;
    overflow: inline;
    background-color: transparent;
}

#accordion-image,
#accordion-mobile-bg {
    position: relative;
    z-index: -100;
    width: 100%;
    height: 450px;
    overflow: visible;
    margin: 0;
    padding: 0;
    background-color: #fff;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: top center;
}

#header-image,
#mobile-bg {
    position: absolute;
    z-index: -100;
    width: 100%;
    height: 600px;
    overflow: hidden;
    margin: 0;
    padding: 0;
    background-color: #fff;
    background-image: url(../images/photo170.png);
    background-position: top right;
    background-size: cover;
}

a.accordion-toggle {
}

#mobile-bg {
    background-image: url(../images/photo170.png);
    background-position: top right;
    background-size: cover;
}

#header-image-mask {
    background-color: rgba(0, 0, 0, .15);
    z-index: -50;
    height: 600px;
}

div.validation-summary-valid {
    display: none;
}

div.validation-summary-errors ul {
    list-style-type: none;
    padding: 0;
    color: red;
    font-weight: bold;
}

p.SCOE-required-msg {
    margin-top: 2em;
}

    p.SCOE-required-msg span.SCOE-required, span.SCOE-required {
        color: #a20000;
        font-size:125%;
        font-weight: bold;
    }

span.field-validation-error {
    color: #a20000;
    font-weight: bold;
}

div.SCOE-password-requirement > p {
    font-weight: bold;
}

div.buttons button, div.buttons input[type=button], div.buttons input[type=submit] {
    margin-top: 10px;
}

/* form styles */
input.form-control,
select.form-control,
textarea.form-control {
    font-size: inherit;
    font-weight: normal;
}

label {
    font-weight: bold;
}

    label > span {
        font-weight: normal;
    }

.checkbox-inline + .checkbox-inline {
    margin-left: 0;
}

.form-group.required .control-label:after {
    content: " *";
    color: #a20000;
    font-size:125%;
}

.required-statement:before {
    content: "* ";
    color: #a20000;
    font-size:125%;
}

.BasicForm > .form-group > .panel-default {
    margin-top: 1em;
}

    .BasicForm > .form-group > .panel-default > .panel-heading > label {
        margin-bottom: 0px;
    }

.panel-title {
    font-size:110%;
}


/* for resizing video */
.intrinsic-container {
    position: relative;
    height: 0;
    overflow: hidden;
}
/* 16x9 Aspect Ratio */
.intrinsic-container-16x9 {
    padding-bottom: 56.25%;
}
/* 4x3 Aspect Ratio */
.intrinsic-container-4x3 {
    padding-bottom: 75%;
}

.intrinsic-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
/* video with transcript */
section#Video {
    margin-bottom: 15px;
}

section#Transcript {
    height: 305px;
    overflow-y: scroll;
    padding: 1em;
    border: 1px solid black;
}


/* table styles */
table.floatThead-table { /* related to keeping table headers at top of screen while scrolling */
    border-top: none;
    border-bottom: none;
    background-color: #fff;
}

table.sortable > thead.header-inverse th {
    background-color: #423D3D;
    color: white;
}

    table.sortable > thead.header-inverse th:hover:not([data-defaultsort="disabled"]) {
        background: black;
    }


.table-layout-2 table tr td,
.table-layout-4 table tr td {
    text-align: center;
}

.table-layout-2 table tr th:first-child {
    text-align: left;
    white-space: normal;
    font-weight: normal;
}

.table-layout-2 table:first-child tr:first-child th {
    text-align: center;
    vertical-align: middle;
    font-weight: 900;
}

.table-layout-2 table div#scrollInstructions {
    font-weight: normal;
    font-size: .85em;
    visibility: hidden;
}

.table-layout-4 table tr th {
    text-align: left;
    white-space: normal;
    font-weight: normal;
}

table tr.verticalText th span {
    -ms-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -webkit-transform: rotate(-90deg);
    transform: rotate(-90deg);
    -ms-transform-origin: left top 0;
    -moz-transform-origin: left top 0;
    -webkit-transform-origin: left top 0;
    transform-origin: left top 0;
    display: block;
    white-space: nowrap;
    font-size: .9em;
    height: 10px;
    width: 20px;
}

tr th[aria-hidden="true"],
tr td[aria-hidden="true"] {
    display: none;
}
/* SPECIFIC HEADER DIMENSIONS, BY TABLE */
table#FinancialAid tr.verticalText th span {
    margin-top: 260px;
}

table#HighSchoolChecklist tr.verticalText th span {
    margin-top: 90px;
}

section#ResourceTable table thead tr th:first-child {
    width: 25%;
}

/* callouts */
.bs-callout-default, .bs-callout-float {
    margin: 20px 0;
    border: 1px solid #71abc3;
    border-left-width: 10px;
    border-radius: 5px;
    font-size: 85%;
}

.callout-green {
    background-color: #F1F8D8;
    border-color: #0299CE;
}

.bs-callout-default img {
    /*float: left;*/
    /*margin-right: 18px;*/
    margin: 1em;
}

.bs-callout-float img {
    float: left;
    margin-right: 18px;
}

.bs-callout-default + div.clearfix + .bs-callout-default{
    margin-top:10px;
}


img.SCOE-external-url-indicator {
    margin: 0 0 0 2px;
}

.bs-callout-default h3 {
    margin-top: 12px;
}

    .bs-callout-default h3 span {
        font-size: .75em;
    }

.bs-callout-default.callout-right {
    margin: -45px 0px 0px 10px;
    padding: 10px 30px 20px 30px;
    font-family: "proxima-nova",sans-serif;
    border-color: #0299CE;
    -webkit-box-shadow: 3px 3px 3px 3px rgba(0, 0, 0, 0.15);
    -moz-box-shadow: 3px 3px 3px 0px rgba(0, 0, 0, 0.15);
    box-shadow: 3px 3px 3px 0px rgba(0, 0, 0, 0.15);
}

    .bs-callout-default.callout-right img {
        float: none;
        margin: 15px auto;
    }

        .bs-callout-default.callout-right img.SCOE-external-url-indicator {
            margin: 0 0 0 2px;
        }

    .bs-callout-default.callout-right h3,
    .bs-callout-default.callout-right h4 {
        font-family: "proxima-nova",sans-serif;
        font-weight: 700;
    }

    .bs-callout-default.callout-right ul {
        padding-left: 15px;
    }

.callout-separator {
    padding: 20px;
}

/* specific to Virtual Advisor -- TEMPORARY STYLING, WILL NEED TO BE FINALIZED */
.rightVirtualBox {
    background-color: #F1F8D8;
    background-image: url(../images/test.png);
    background-size: contain;
    background-position: right 0px bottom 5px;
    background-repeat: no-repeat;
}


/* wrap text around element */
div.wrap-div-topSpacer {
    width: 0px;
    height: 0px;
    float: left;
}

div.wrap-div-right {
    float: right;
    clear: both;
    width: 30%;
    margin: 0px 0px 20px 20px;
    text-align: center;
}

    div.wrap-div-right img {
        text-align: center;
    }


/* thumbnails and images */
.thumbnail {
    border: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    margin: 0 0 1em 0;
    background-color: transparent;
}

    .thumbnail > img,
    .thumbnail a > img,
    .bs-callout-default.callout-right .thumbnail > img,
    .bs-callout-default.callout-right .thumbnail a > img {
        float: left;
        padding: 3px;
        margin-right: 10px;
        border: 1px solid #999;
        -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, .4);
        box-shadow: 0 1px 2px rgba(0, 0, 0, .4);
        width: 82px;
        height: 100px;
    }

    .thumbnail .caption {
        float: left;
        margin-top: 15px;
        padding: 0;
    }

.bs-callout-default.callout-right .thumbnail .caption {
    width: 10em;
}

.thumbnailLarger .thumbnail > img,
.thumbnailLarger .thumbnail a > img,
.thumbnailLarger .thumbnail > img,
.thumbnailLarger .thumbnail a > img {
    width: 102px;
    height: 120px;
}



img.imageFloatRight {
    float: right;
    margin: auto auto 15px 15px;
}

button > span.glyphicon, button > i.glyphicon {
    margin-right: 6px;
}


/* accordion panels */
.panel-group .accordion-toggle:after {
    font-family: 'Glyphicons Halflings';
    content: "\e114";
    float: right;
    color: grey;
}

.panel-group .accordion-toggle > span {
    text-decoration: underline;
}

.panel-group .accordion-toggle.collapsed:after {
    content: "\e080";
}

.panel-body a.accordion-toggle {
    padding-right: 1em;
    display: block;
    text-decoration: none;
}

.panel-body .accordion-toggle:after {
    color: #71ABC3;
}

.panel-group h4 > a {
    display: block;
    font-weight: bold;
    text-decoration: none;
}

.panel-group .panel-body .panel-group .panel {
    padding: .7em;
    border: 1px solid #E6E6E6;
    margin: 3px;
}

/* misc styles */
p.citation {
    font-style: italic;
    font-weight: 300;
    font-size: 15.5px;
}

div#OR {
    height: 30px;
    width: 30px;
    border: 1px solid #C2C2C2;
    border-radius: 50%;
    font-weight: bold;
    line-height: 28px;
    text-align: center;
    font-size: 12px;
    background: #DFDFDF;
    z-index: 1;
    margin: auto;
    float: right;
    position: absolute;
    right: 5px;
    top: 40%;
}

.preOR {
    width: 90%;
}

div.clear {
    clear: both;
}

.center {
    text-align: center;
}

.external-url-indicator {
    baseline-shift: super;
}



/* homepage */
#header-image,
#mobile-bg {
    background-image: url(../images/photo170b.png);
}

#mobile-bg {
    background-image: url(../images/photo170b.png);
}

#sidebar {
    margin-top: 31px;
    margin-left: -4px;
}
/* misc */
.preOR {
    width: 88%;
}

div.wrap-div-right {
    width: 40%;
}


/* Small Devices, Tablets */
@media only screen and (max-width: 767px) {
    .jumbotron {
        height: 20px;
    }

    #accordion-mobile-bg {
        height: 220px;
        /*background-position: 0px 400px;*/
    }
    /* navigation */
    #navbar-public .navbar-default .navbar-brand {
        margin-left: -15px;
    }

    #navbar-public .navbar-default:not(.navbar-homepage) .navbar-brand img {
        width: 106px;
        height: 72px;
    }

    #navbar-public .navbar-default .navbar-collapse {
        width: 100%;
        border: none;
        float: left;
        clear: both;
    }

    .navbar-default .navbar-form {
        border: none;
        float: right;
    }

    #navbar-public .navbar-header {
        float: right;
    }

    #navbar-public .navbar {
        max-height: 65px;
    }

    #navbar-public .navbar-default .navbar-collapse #nav-secondary,
    #navbar-public .navbar-default .navbar-collapse .navbar-nav {
        padding-right: 20px;
    }

    #navbar-public #searchLogin {
        margin: -4px 0px 0px 20px;
        padding: 0px;
    }

        #navbar-public #searchLogin > li {
            float: left;
            margin-left: 15px;
        }

    #navbar-public .navbar-toggle {
        /*margin-top: 9px;*/
        margin-bottom: 20px;
        margin-right: 5px;
    }

    .navbar-nav .open .dropdown-menu {
        font-size: 12px;
        position: static;
        background-color: #fff;
        border: 1px solid #ccc;
        border: 1px solid rgba(0, 0, 0, .15);
        border-radius-bottom: 4px;
        -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
        box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
        top: 95%;
        left: auto;
        right: 0;
    }
    /* homepage */
    #sidebar {
        margin-top: 49px;
        margin-left: -3px;
    }

    .center-image {
        text-align: center;
    }
    /* tables */
    .table-layout-2 table tr th:first-child {
        min-width: 230px;
    }

    .table-responsive.table-layout-3 > .table > tbody > tr > th,
    .table-responsive.table-layout-3 > .table > tbody > tr > td {
        white-space: normal;
    }
    /* callouts */
    .bs-callout-default.callout-right {
        margin: 15px auto;
    }

        .bs-callout-default.callout-right.callout-2x {
            float: left;
            max-width: 48%;
        }

    .callout-separator {
        padding: 5px;
        float: left;
    }

    div.wrap-div-right {
        margin: 0px;
    }

        div.wrap-div-right div.bs-callout-default.callout-right {
            margin: -45px 20px 10px 20px;
        }
    /* misc */
    .preOR {
        width: 100%;
    }
}


/* Fix at max-width 600, between Small and Extra Small Devices */
@media only screen and (max-width: 600px) {
    /* navigation */
    #search-form .input-group input.form-control,
    #search-form .input-group .form-control {
        width: 150px;
    }

    #login-dp {
        min-width: 200px;
    }
    /* tables */
    .table-responsive.table-layout-3 > .table > tbody > tr > th,
    .table-responsive.table-layout-3 > .table > tbody > tr > td {
        font-size: 14px;
    }
    /* callouts */
    .bs-callout-default.callout-right.callout-2x {
        float: none;
        max-width: 100%;
    }

    .callout-separator {
        display: none;
    }

    div.wrap-div-topSpacer,
    div.wrap-div-right {
        display: none;
    }
    /* thumbnails */
    ul.thumbnailLarger {
        margin: auto -30px;
    }

    .thumbnailLarger .caption {
        margin-left: -20px;
    }

    .navbar-nav .open .dropdown-menu {
        position: static;
        background-color: #fff;
        border: 1px solid #ccc;
        border: 1px solid rgba(0, 0, 0, .15);
        border-radius-bottom: 4px;
        -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
        box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
        top: 95%;
        left: auto;
        right: 0;
    }

        .navbar-nav .open .dropdown-menu > li {
            font-size: 14px;
        }
}

/* Extra Small Devices, Phones */
@media only screen and (max-width: 480px) {
    body:not(#adminBody) .container.secondary header h1 {
        font-size: 30px;
        padding: 0;
        background-color: #fff;
        margin-top: -50px;
    }

    h2 {
        font-size: 26px;
    }
    /* navigation */
    #navbar-public .navbar {
        max-height: 63px;
    }

    #navbar-public .navbar-default:not(.navbar-homepage) .navbar-brand img {
        /*width: 87px;
        height: 59px;*/
    }

    #navbar-public .navbar-homepage {
        max-height: 66px;
    }
    /* homepage */
    #header-image,
    #mobile-bg,
    #header-image-mask {
        height: 390px;
    }

    #sidebar li {
        font-size: 17px;
        line-height: 22px;
    }

        #sidebar li span {
            display: none;
        }
    /* callouts */
    .bs-callout-default img {
        float: none;
    }
    /* thumbnails */
    ul.thumbnailLarger .caption {
        max-width: 272px;
    }

    .thumbnailLarger .caption {
        clear: both;
        margin-top: 20px;
    }
}

/* Custom, super small */
@media only screen and (max-width: 400px) {
    /* navigation */
    #navbar-public .navbar-homepage .navbar-brand img {
        width: 132px;
        height: 90px;
        margin-left: 12px;
    }
    /* homepage */
    #header-image,
    #mobile-bg,
    #header-image-mask {
        height: 460px;
    }

    #sidebar {
        margin-top: -3px;
        width: 134px;
    }

    span.tagline {
        display: none;
    }

        span.tagline.br {
            display: block;
            padding: 6px;
            font-size: 1.2em;
        }

            span.tagline.br span.Teach {
                font-size: 1.5em;
            }

    ul.thumbnailLarger .caption {
        clear: both;
        max-width: 100%;
    }
}


@media print {
    .no-print {
        display: none;
    }
}


div.checkbox-inline label, div.radio-inline label {
    cursor: pointer;
}


@media (min-width:1200px) {
    .thumbnailLarger .thumbnail .caption {
        max-width: 395px;
    }
}

/* Need to tweak NavBar for medium breakpoints to avoid menu items wrapping */
@media (max-width: 1199px) {
    #navbar {
        font-size: 14px;
    }

        #navbar #searchLogin > li > a {
            padding-top: 30px;
            padding-bottom: 29px;
        }

        #navbar[aria-expanded=true] #searchLogin > li > a {
            padding-top: 10px;
            padding-bottom: 10px;
        }

    #navbar-public .navbar-default li.search a img {
        height: 20px;
        width: 20px;
    }
}

.padding-bottom-xs {
    padding-bottom: .25em;
}

.padding-bottom-sm {
    padding-bottom: .5em;
}

.padding-bottom-md {
    padding-bottom: 1em;
}

.padding-bottom-lg {
    padding-bottom: 1.5em;
}

.padding-bottom-xl {
    padding-bottom: 3em;
}


